Package org.eclipse.lemminx.extensions.xerces

## Class ReferencedGrammarDiagnosticsInfo

- java.lang.Object
- - org.eclipse.lemminx.extensions.xerces.ReferencedGrammarDiagnosticsInfo

    public class ReferencedGrammarDiagnosticsInfo
    extends Object

The root diagnostic information when a grammar (XSD, DTD) have some errors and it is referenced in a XML. The diagnostic range covers teh location where the grammar is declared (with DOCTYPE SYSTEM, xsi:noNamespaceSchemaLocation, etc).

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`ReferencedGrammarDiagnosticsInfo​(String grammarURI, URIResolverExtensionManager resolverExtensionManager, org.eclipse.lsp4j.Diagnostic diagnostic)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addDiagnosticRelatedInformation​(org.eclipse.lsp4j.DiagnosticRelatedInformation relatedInformation)` Add diagnostic related information.
`void` `addError​(boolean fatalError)` Increment the error number to update the diagnostic root message.
`DOMDocument` `getGrammarDocument()` Returns the DOM document of the referenced grammar.
`boolean` `isFatalError()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReferencedGrammarDiagnosticsInfo

    public ReferencedGrammarDiagnosticsInfo​(String grammarURI,
                                            URIResolverExtensionManager resolverExtensionManager,
                                            org.eclipse.lsp4j.Diagnostic diagnostic)

### Method Detail

#### addDiagnosticRelatedInformation

    public void addDiagnosticRelatedInformation​(org.eclipse.lsp4j.DiagnosticRelatedInformation relatedInformation)

Add diagnostic related information.

Parameters:
  `relatedInformation` - the related information.

#### getGrammarDocument

    public DOMDocument getGrammarDocument()

Returns the DOM document of the referenced grammar.

Returns:
  the DOM document of the referenced grammar.

#### addError

    public void addError​(boolean fatalError)

Increment the error number to update the diagnostic root message.

Parameters:
  `diagnosticSeverity` -

#### isFatalError

    public boolean isFatalError()